#!/bin/bash
#
# Configuration DHCP server for Linkat LTSP
#

. $DIR_DHCP/dhcpvar

DEVDHCP=$(cat $DIR_NET/data/net_dhcp)

res=$(cp -av /etc/default/isc-dhcp-server $DIR_DHCP/backup/isc-dhcp-server.ori 2>&1)
if [ ! $? -eq 0 ];then
        echo -en "Error:: No s'ha pogut fer una còpia de seguretat del fitxer isc-dhcp-server: $res\n"
fi

sed s/__DEV__/$DEVDHCP/g $DIR_DHCP/data/isc-dhcp-server.linkat > /etc/default/isc-dhcp-server 
if [ ! $? -eq 0 ];then
        echo -en "Error:: Hi ha hagut un error al configurar el dispositiu per defecte del servidor DHCP\n"
fi

res=$(cp -av /etc/ltsp/dhcpd.conf $DIR_DHCP/backup/dhcpd.conf.ori 2>&1)
if [ ! $? -eq 0 ];then
        echo -en "Error:: No s'ha pogut fer una còpia de seguretat del fitxer dhcpd.conf: $res\n"
fi

cat  $DIR_DHCP/data/dhcpd.conf.linkat | \
        sed s/__IPSERVER__/$IPSERVER/g | \
        sed s/__RANG__/$RANGE/g | \
        sed s/__MASK__/$NETMASK/g \
        > /etc/ltsp/dhcpd.conf 

if [ ! $? -eq 0 ];then
        echo -en "Error:: Hi ha hagut un error al aplicar la configuració del servidor DHCP\n"
fi

res=$(cp -av /etc/init/isc-dhcp-server.conf $DIR_DHCP/backup/isc-dhcp-server.conf.ori 2>&1)
if [ ! $? -eq 0 ];then
        echo -en "Error:: No s'ha pogut fer una còpia de seguretat del fitxer isc-dhcp-server.conf: $res\n"
fi

sed s/__DEVDHCP__/$DEVDHCP/g $DIR_DHCP/data/isc-dhcp-server.conf.linkat > /etc/init/isc-dhcp-server.conf
if [ ! $? -eq 0 ];then
        echo -en "Error:: Hi ha hagut un error al configurar el fitxer /etc/init/isc-dhcp-server.conf\n"
fi


