#!/bin/bash
#
# Configurant ltsp
#

if [ -d /opt/ltsp ] ; then
	${ZENITY} --title="$TITLE" --question --text="Voleu tornar a generar les imatges dels clients del servidor LTSP?\n"
	if [ $? -eq 0 ] ; then
        	res=$(rm -rf /opt/ltsp 2>&1)
		if [ ! $? -eq 0 ] ; then
        		echo -en "Error:: No s'ha pogut eliminar el directori /opt/ltsp/i386: $res\n"
		fi                        
		sudo ltsp-build-client --arch i386
	fi
else
	sudo ltsp-build-client --arch i386
fi


if [ -f /var/lib/tftpboot/ltsp/i386/lts.conf ] ; then
	res=$(chattr -i /var/lib/tftpboot/ltsp/i386/lts.conf 2>&1)
	if [ ! $? -eq 0 ];then
        	echo -en "El fitxer lts.conf no tenia atributs extres, es continuar amb la configuració\n"
	fi
fi

res=$(cp -av $DIR_LTSP/data/lts.conf.linkat /var/lib/tftpboot/ltsp/i386/lts.conf 2>&1)
if [ ! $? -eq 0 ];then
        echo -en "Error:: No s'ha pogut fer una còpia del fitxer lts.conf: $res\n"
fi

res=$(chattr +i /var/lib/tftpboot/ltsp/i386/lts.conf 2>&1)
if [ ! $? -eq 0 ];then
        echo -en "Error:: No s'ha pogut modificar els atributs del fitxer lts.conf: $res\n"
fi

res=$(cp -av $DIR_LTSP/data/edit-lts.desktop /usr/share/applications/ 2>&1)
if [ ! $? -eq 0 ];then
        echo -en "Error:: No s'ha pogut còpiar la icona per editar el fitxer lts.conf: $res\n"
fi

# Lightdm configuration

. /etc/lsb-release

if [ $DISTRIB_RELEASE = "16.04" ] ; then
        res=$(cp -av $DIR_LTSP/data/65-linkat-ltsp-lightdm.conf /usr/share/lightdm/lightdm.conf.d/ 2>&1)
        if [ ! $? -eq 0 ];then
                echo -en "Error:: No s'ha pogut configurar el lightdm: $res\n"
        fi
fi

#if [ $DISTRIB_RELEASE = "14.04" ] ; then
#	res=$(cp -av $DIR_LTSP/data/60-linkat-ltsp-lightdm.conf /usr/share/lightdm/lightdm.conf.d/ 2>&1)
#	if [ ! $? -eq 0 ];then
#        	echo -en "Error:: No s'ha pogut configurar el lightdm: $res\n"
#	fi
#fi

#if [ $DISTRIB_RELEASE = "12.04" ] ; then
#	res=$(cp -av /etc/lightdm/lightdm.conf $DIR_LTSP/backup/lightdm.conf.ori 2>&1)
#	if [ ! $? -eq 0 ];then
#        	echo -en "Error:: No s'ha pogut fer una còpia del fitxer lightdm.conf: $res\n"
#	fi
#
#	res=$(cp -av $DIR_LTSP/data/lightdm.conf.linkat /etc/lightdm/lightdm.conf 2>&1)
#        if [ ! $? -eq 0 ];then
#                echo -en "Error:: No s'ha pogut fer una còpia del fitxer lightdm.conf: $res\n"
#        fi
#fi

