#!/bin/bash
#
#  3 - Configure default network parameters
#

. $DIR_DHCP/dhcpvar
. $DIR_NET/netvar

date=`date +"%d/%m/%Y %H:%M"`
echo -en "\n\n****************************************************\n"
echo "[$date] Configurant paràmetres de xarxa "
echo "****************************************************"

if [ -e $DIR_NET/data/net_device ]; then
	DEV=`cat $DIR_NET/data/net_device`
else
	echo -en "Error:: No s'ha definit el dispositiu de xarxa.\n" 
	exit 1
fi

if [ -e $DIR_NET/data/net_dhcp ]; then
        DEV2=`cat $DIR_NET/data/net_dhcp`
else
        echo -en "Error:: No s'ha definit el dispositiu de xarxa DHCP.\n" 
        exit 1
fi


if [ -e /etc/network/interfaces ]; then
	res=$(cp /etc/network/interfaces $DIR_NET/backup/interfaces.orig 2>&1)
	if [ ! $? -eq 0 ];then
		echo -en "Error:: No s'ha pogut fer una còpia de seguretat de /etc/network/interfaces; $res \n"
	fi
fi


echo -en "Configurant interficies de xarxa \n" 
res=$(cp $DIR_NET/data/interfaces.Linkat /etc/network/interfaces)
if [ ! $? -eq 0 ];then
	echo -en "Error:: Hi ha hagut un error a l'aplicar la configuració d'interficies: $res\n"
else
	echo -en "Success: S'ha aplicat correctament el fitxer d'interficies\n"
fi


echo -en "Esborrant configuracions de xarxa antigues...\n" 
res=$(rm -rf /etc/network/interfaces.d/*.cfg)
if [ ! $? -eq 0 ];then
        echo -en "Error:: Hi ha hagut un error a l'esborrar la configuració d'interficies antigues: $res\n"
else
        echo -en "Success: S'ha esborrat correctament els fitxers d'interficies antigues\n"
fi


echo -en "Afegint interficie a /interfaces.d \n" 
res=$(mv $DIR_NET/data/*.cfg  /etc/network/interfaces.d/)
if [ ! $? -eq 0 ];then
	echo -en "Error:: Hi ha hagut un error a l'aplicar la configuració predeterminada sobre la interficie de xarxa $DEV: $res\n"
else
	echo -en "Success: S'ha aplicat correctament el fitxer de la interficie de xarxa $DEV \n"
fi

echo -en "Reinicienat les interficies de xarxa\n"
for i in $(ls /etc/network/interfaces.d/ | cut -d . -f 1); do
	ifdown $i > /dev/null 2>&1
	ifup $i > /dev/null 2>&1
done

cat  $DIR_NET/data/fordmasq.sh.linkat | \
        sed s/__RANG__/$RANGE/g | \
        sed s/__DEV__/$DEV/g \
	 > /etc/init.d/fordmasq.sh
if [ ! $? -eq 0 ];then
        echo -en "Error:: Hi ha hagut un error a l'aplicar el fordwarding i el masquerade\n"
fi

chmod +x /etc/init.d/fordmasq.sh

res=$(update-rc.d fordmasq.sh defaults 2>&1)
if [ ! $? -eq 0 ];then
        echo -en "Error:: Hi ha hagut un error a l'aplicar update-rc.d: $res\n"
else
        echo -en "Success: S'ha aplicat correctament update-rc.d\n"
fi

ifdown $DEV > /dev/null 2>&1
ifup $DEV > /dev/null 2>&1

route add -net 0.0.0.0/0 gw $NEWGATEWAY

## Verifiquem connexió
sleep 3
res=$(ping -c 2 www.google.es || ping -c 2 $DNS1 || ping -c 2 www.linux.org 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Error:: És necessari tenir connexió a Internet per continuar.\n"

${ZENITY} --title="Prova de connexió a Internet fallida" --error --text="És necessari tenir connexió a Internet per continuar."

	echo "fail" > /etc/modalitat_linkat
	if [ ! $? -eq 0 ];then
		echo -en "Error creant la marca d'instal·lació \n"
	else
		echo -en "Ok, marca creada correctament \n"
	fi
	exit 1

else
	echo -en "Success: Connexió a internet correcta. \n"
fi

